Subject: bug#46964: [ELPA]: [PATCH] Replace modus-*-theme with modus-themes from :core

From: Stefan Monnier <[email-masked]>
Date: Thu, 11 Mar 2021 17:54:00 -0500

> At any rate, I do not know how to implement such in-place substitutes.
> Can you please point me to the relevant documentation or some previous
> case that I could study?  Then I will try to produce a patch.

Rather than point at some similar previous case, here's how I'd do it:

Make a new commit to the the elpa.git branches `modus-<foo>-theme` which
basically gut the `modus-<foo>-theme.el` files, replacing them with tiny
files containing just the header (where `Package-Requires:` says
`modus-themes`) plus some shenanigans to look for the directory holding
the `modus-themes.el` file and load the matching `modus-<foo>-theme.el`
from it.  And maybe emit a warning just before doing that (both to
state that the package is obsolete and to warn the users about the
redirect, so they might know where to start looking in case something
goes wrong).

        Stefan